package com.css.simulation.resource.common.controller;

import api.common.util.ExcelUtil;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.ss.usermodel.Workbook;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.io.InputStream;
import java.util.List;

@RestController
@RequestMapping("/excel")
public class ExcelController {

    @PostMapping(value = "/parse", consumes = MediaType.MULTIPART_FORM_DATA_VALUE)
    public List<List<String>> parseExcel(@RequestPart("excel") MultipartFile excel) {
        try {
            String suffix = excel.getName().split("\\.")[1];
            InputStream inputStream = excel.getInputStream();
            Workbook workbook = ExcelUtil.getExcel(inputStream, suffix);
            Sheet sheet = ExcelUtil.getSheetByIndex(workbook, 0);
            return ExcelUtil.getTable(sheet, 1, Integer.MAX_VALUE, 0, Integer.MAX_VALUE);
        } catch (IOException e) {
            throw new RuntimeException(e);
        }
    }
}
